# `web-sys`

Raw bindings to Web APIs for projects using `wasm-bindgen`.

The book: https://rustwasm.github.io/wasm-bindgen/web-sys.html

## Tested WebIDL bindings

Below is a list of all the WebIDL files we want to generate bindings for, with a `x` where the
bindings are fully working and have full test coverage.

 - [ ] AbortController.webidl
 - [ ] AbortSignal.webidl
 - [ ] AbstractWorker.webidl
 - [ ] AnalyserNode.webidl
 - [ ] AnimationEffect.webidl
 - [ ] AnimationEvent.webidl
 - [ ] Attr.webidl
 - [ ] AudioBufferSourceNode.webidl
 - [ ] AudioBuffer.webidl
 - [ ] AudioContext.webidl
 - [ ] AudioDestinationNode.webidl
 - [ ] AudioListener.webidl
 - [ ] AudioParamMap.webidl
 - [ ] AudioParam.webidl
 - [ ] AudioProcessingEvent.webidl
 - [ ] AudioScheduledSourceNode.webidl
 - [ ] AudioStreamTrack.webidl
 - [ ] AudioTrackList.webidl
 - [ ] AudioTrack.webidl
 - [ ] AudioWorkletGlobalScope.webidl
 - [ ] AudioWorkletNode.webidl
 - [ ] AudioWorkletProcessor.webidl
 - [ ] AudioWorklet.webidl
 - [ ] AutocompleteInfo.webidl
 - [ ] BarProp.webidl
 - [ ] BaseAudioContext.webidl
 - [ ] BaseKeyframeTypes.webidl
 - [ ] BasicCardPayment.webidl
 - [ ] BatteryManager.webidl
 - [ ] BeforeUnloadEvent.webidl
 - [ ] BiquadFilterNode.webidl
 - [ ] BlobEvent.webidl
 - [ ] Blob.webidl
 - [ ] BoxObject.webidl
 - [ ] BroadcastChannel.webidl
 - [ ] BrowserElementDictionaries.webidl
 - [ ] BrowserElement.webidl
 - [ ] BrowserFeedWriter.webidl
 - [ ] CacheStorage.webidl
 - [ ] Cache.webidl
 - [ ] CanvasCaptureMediaStream.webidl
 - [ ] CaretPosition.webidl
 - [ ] CaretStateChangedEvent.webidl
 - [ ] CDATASection.webidl
 - [ ] ChannelMergerNode.webidl
 - [ ] ChannelSplitterNode.webidl
 - [ ] CharacterData.webidl
 - [ ] CheckerboardReportService.webidl
 - [ ] ChildNode.webidl
 - [ ] ChildSHistory.webidl
 - [ ] ChromeNodeList.webidl
 - [ ] Clients.webidl
 - [ ] Client.webidl
 - [ ] ClipboardEvent.webidl
 - [ ] CloseEvent.webidl
 - [ ] CommandEvent.webidl
 - [ ] Comment.webidl
 - [ ] CompositionEvent.webidl
 - [ ] Console.webidl
 - [ ] ConstantSourceNode.webidl
 - [ ] ConvolverNode.webidl
 - [ ] Coordinates.webidl
 - [ ] CreateOfferRequest.webidl
 - [ ] CredentialManagement.webidl
 - [ ] Crypto.webidl
 - [ ] CSPDictionaries.webidl
 - [ ] CSPReport.webidl
 - [ ] CSSAnimation.webidl
 - [ ] CSSConditionRule.webidl
 - [ ] CSSCounterStyleRule.webidl
 - [ ] CSSFontFaceRule.webidl
 - [ ] CSSFontFeatureValuesRule.webidl
 - [ ] CSSGroupingRule.webidl
 - [ ] CSSImportRule.webidl
 - [ ] CSSKeyframeRule.webidl
 - [ ] CSSKeyframesRule.webidl
 - [ ] CSSMediaRule.webidl
 - [ ] CSSMozDocumentRule.webidl
 - [ ] CSSNamespaceRule.webidl
 - [ ] CSSPageRule.webidl
 - [ ] CSSPseudoElement.webidl
 - [ ] CSSRuleList.webidl
 - [ ] CSSRule.webidl
 - [ ] CSSStyleDeclaration.webidl
 - [ ] CSSStyleRule.webidl
 - [ ] CSSStyleSheet.webidl
 - [ ] CSSSupportsRule.webidl
 - [ ] CSSTransition.webidl
 - [ ] CSS.webidl
 - [ ] CustomElementRegistry.webidl
 - [ ] CustomEvent.webidl
 - [ ] DataTransferItem.webidl
 - [ ] DataTransfer.webidl
 - [ ] DecoderDoctorNotification.webidl
 - [ ] DedicatedWorkerGlobalScope.webidl
 - [ ] DelayNode.webidl
 - [ ] DeviceLightEvent.webidl
 - [ ] DeviceProximityEvent.webidl
 - [ ] Directory.webidl
 - [ ] DocumentFragment.webidl
 - [ ] DocumentOrShadowRoot.webidl
 - [ ] DocumentTimeline.webidl
 - [ ] DocumentType.webidl
 - [ ] Document.webidl
 - [ ] DOMError.webidl
 - [ ] DOMException.webidl
 - [ ] DOMHighResTimeStamp.webidl
 - [ ] DOMImplementation.webidl
 - [ ] DOMParser.webidl
 - [ ] DOMPoint.webidl
 - [ ] DOMQuad.webidl
 - [ ] DOMRectList.webidl
 - [ ] DOMRect.webidl
 - [ ] DOMRequest.webidl
 - [ ] DOMStringList.webidl
 - [ ] DOMStringMap.webidl
 - [ ] DOMTokenList.webidl
 - [ ] DragEvent.webidl
 - [ ] DynamicsCompressorNode.webidl
 - [ ] Element.webidl
 - [ ] ErrorEvent.webidl
 - [ ] EventHandler.webidl
 - [ ] EventListener.webidl
 - [ ] EventSource.webidl
 - [ ] EventTarget.webidl
 - [ ] Event.webidl
 - [ ] ExtendableEvent.webidl
 - [ ] ExtendableMessageEvent.webidl
 - [ ] External.webidl
 - [ ] FakePluginTagInit.webidl
 - [ ] FetchEvent.webidl
 - [ ] FetchObserver.webidl
 - [ ] Fetch.webidl
 - [ ] FileList.webidl
 - [ ] FileReaderSync.webidl
 - [ ] FileReader.webidl
 - [ ] FileSystemDirectoryEntry.webidl
 - [ ] FileSystemDirectoryReader.webidl
 - [ ] FileSystemEntry.webidl
 - [ ] FileSystemFileEntry.webidl
 - [ ] FileSystem.webidl
 - [ ] File.webidl
 - [ ] Flex.webidl
 - [ ] FocusEvent.webidl
 - [ ] FontFaceSetLoadEvent.webidl
 - [ ] FontFaceSet.webidl
 - [ ] FontFaceSource.webidl
 - [ ] FontFace.webidl
 - [ ] FrameLoader.webidl
 - [ ] Function.webidl
 - [ ] FuzzingFunctions.webidl
 - [ ] GainNode.webidl
 - [ ] GamepadAxisMoveEvent.webidl
 - [ ] GamepadButtonEvent.webidl
 - [ ] GamepadEvent.webidl
 - [ ] GamepadHapticActuator.webidl
 - [ ] GamepadPose.webidl
 - [ ] GamepadServiceTest.webidl
 - [ ] Gamepad.webidl
 - [ ] Geolocation.webidl
 - [ ] GeometryUtils.webidl
 - [ ] GetUserMediaRequest.webidl
 - [ ] Grid.webidl
 - [ ] GroupedHistoryEvent.webidl
 - [ ] HashChangeEvent.webidl
 - [ ] Headers.webidl
 - [ ] HiddenPluginEvent.webidl
 - [ ] History.webidl
 - [ ] HTMLAllCollection.webidl
 - [x] HTMLAnchorElement.webidl
 - [ ] HTMLAreaElement.webidl
 - [ ] HTMLAudioElement.webidl
 - [ ] HTMLBaseElement.webidl
 - [x] HTMLBodyElement.webidl
 - [x] HTMLBRElement.webidl
 - [x] HTMLButtonElement.webidl
 - [ ] HTMLCanvasElement.webidl
 - [ ] HTMLCollection.webidl
 - [ ] HTMLDataElement.webidl
 - [ ] HTMLDataListElement.webidl
 - [ ] HTMLDetailsElement.webidl
 - [ ] HTMLDialogElement.webidl
 - [ ] HTMLDirectoryElement.webidl
 - [x] HTMLDivElement.webidl
 - [ ] HTMLDListElement.webidl
 - [ ] HTMLDocument.webidl
 - [x] HTMLElement.webidl
 - [ ] HTMLEmbedElement.webidl
 - [ ] HTMLFieldSetElement.webidl
 - [ ] HTMLFontElement.webidl
 - [ ] HTMLFormControlsCollection.webidl
 - [ ] HTMLFormElement.webidl
 - [ ] HTMLFrameElement.webidl
 - [ ] HTMLFrameSetElement.webidl
 - [ ] HTMLHeadElement.webidl
 - [x] HTMLHeadingElement.webidl
 - [x] HTMLHRElement.webidl
 - [x] HTMLHtmlElement.webidl
 - [ ] HTMLHyperlinkElementUtils.webidl
 - [ ] HTMLIFrameElement.webidl
 - [ ] HTMLImageElement.webidl
 - [x] HTMLInputElement.webidl
 - [ ] HTMLLabelElement.webidl
 - [ ] HTMLLegendElement.webidl
 - [ ] HTMLLIElement.webidl
 - [ ] HTMLLinkElement.webidl
 - [ ] HTMLMapElement.webidl
 - [ ] HTMLMediaElement.webidl
 - [x] HTMLMenuElement.webidl
 - [x] HTMLMenuItemElement.webidl
 - [x] HTMLMetaElement.webidl
 - [x] HTMLMeterElement.webidl
 - [x] HTMLModElement.webidl
 - [ ] HTMLObjectElement.webidl
 - [x] HTMLOListElement.webidl
 - [x] HTMLOptGroupElement.webidl
 - [x] HTMLOptionElement.webidl
 - [x] HTMLOptionsCollection.webidl
 - [x] HTMLOutputElement.webidl
 - [x] HTMLParagraphElement.webidl
 - [x] HTMLParamElement.webidl
 - [ ] HTMLPictureElement.webidl
 - [x] HTMLPreElement.webidl
 - [x] HTMLProgressElement.webidl
 - [x] HTMLQuoteElement.webidl
 - [x] HTMLScriptElement.webidl
 - [x] HTMLSelectElement.webidl
 - [x] HTMLSlotElement.webidl
 - [ ] HTMLSourceElement.webidl
 - [ ] HTMLSpanElement.webidl
 - [x] HTMLStyleElement.webidl
 - [ ] HTMLTableCaptionElement.webidl
 - [ ] HTMLTableCellElement.webidl
 - [ ] HTMLTableColElement.webidl
 - [x] HTMLTableElement.webidl
 - [ ] HTMLTableRowElement.webidl
 - [ ] HTMLTableSectionElement.webidl
 - [ ] HTMLTemplateElement.webidl
 - [ ] HTMLTextAreaElement.webidl
 - [ ] HTMLTimeElement.webidl
 - [x] HTMLTitleElement.webidl
 - [ ] HTMLTrackElement.webidl
 - [ ] HTMLUListElement.webidl
 - [ ] HTMLVideoElement.webidl
 - [ ] IDBCursor.webidl
 - [ ] IDBDatabase.webidl
 - [ ] IDBFactory.webidl
 - [ ] IDBFileRequest.webidl
 - [ ] IDBIndex.webidl
 - [ ] IDBMutableFile.webidl
 - [ ] IDBObjectStore.webidl
 - [ ] IDBOpenDBRequest.webidl
 - [ ] IDBRequest.webidl
 - [ ] IDBTransaction.webidl
 - [ ] IdleDeadline.webidl
 - [ ] IIRFilterNode.webidl
 - [ ] ImageBitmapRenderingContext.webidl
 - [ ] ImageBitmap.webidl
 - [ ] ImageCaptureErrorEvent.webidl
 - [ ] ImageCapture.webidl
 - [ ] ImageDocument.webidl
 - [ ] InputEvent.webidl
 - [ ] InstallTrigger.webidl
 - [ ] IntersectionObserver.webidl
 - [ ] IntlUtils.webidl
 - [ ] IterableIterator.webidl
 - [ ] KeyAlgorithm.webidl
 - [ ] KeyboardEvent.webidl
 - [ ] KeyEvent.webidl
 - [ ] KeyframeAnimationOptions.webidl
 - [ ] KeyframeEffect.webidl
 - [ ] KeyIdsInitData.webidl
 - [ ] L10nUtils.webidl
 - [ ] LegacyQueryInterface.webidl
 - [ ] LinkStyle.webidl
 - [ ] ListBoxObject.webidl
 - [ ] LocalMediaStream.webidl
 - [ ] Location.webidl
 - [ ] MediaCapabilities.webidl
 - [ ] MediaDeviceInfo.webidl
 - [ ] MediaDevices.webidl
 - [ ] MediaElementAudioSourceNode.webidl
 - [ ] MediaEncryptedEvent.webidl
 - [ ] MediaError.webidl
 - [ ] MediaKeyError.webidl
 - [ ] MediaKeyMessageEvent.webidl
 - [ ] MediaKeySession.webidl
 - [ ] MediaKeysRequestStatus.webidl
 - [ ] MediaKeyStatusMap.webidl
 - [ ] MediaKeys.webidl
 - [ ] MediaKeySystemAccess.webidl
 - [ ] MediaList.webidl
 - [ ] MediaQueryListEvent.webidl
 - [ ] MediaQueryList.webidl
 - [ ] MediaRecorderErrorEvent.webidl
 - [ ] MediaRecorder.webidl
 - [ ] MediaSource.webidl
 - [ ] MediaStreamAudioDestinationNode.webidl
 - [ ] MediaStreamAudioSourceNode.webidl
 - [ ] MediaStreamError.webidl
 - [ ] MediaStreamEvent.webidl
 - [ ] MediaStreamTrackEvent.webidl
 - [ ] MediaStreamTrack.webidl
 - [ ] MediaTrackConstraintSet.webidl
 - [ ] MediaTrackSettings.webidl
 - [ ] MediaTrackSupportedConstraints.webidl
 - [ ] MenuBoxObject.webidl
 - [ ] MessageChannel.webidl
 - [ ] MessageEvent.webidl
 - [ ] MessagePort.webidl
 - [ ] MIDIAccess.webidl
 - [ ] MIDIConnectionEvent.webidl
 - [ ] MIDIInputMap.webidl
 - [ ] MIDIInput.webidl
 - [ ] MIDIMessageEvent.webidl
 - [ ] MIDIOptions.webidl
 - [ ] MIDIOutputMap.webidl
 - [ ] MIDIOutput.webidl
 - [ ] MIDIPort.webidl
 - [ ] MimeTypeArray.webidl
 - [ ] MimeType.webidl
 - [ ] MouseEvent.webidl
 - [ ] MouseScrollEvent.webidl
 - [ ] MozApplicationEvent.webidl
 - [ ] MutationEvent.webidl
 - [ ] MutationObserver.webidl
 - [ ] NamedNodeMap.webidl
 - [ ] NativeOSFileInternals.webidl
 - [ ] Navigator.webidl
 - [ ] NetDashboard.webidl
 - [ ] NetworkInformation.webidl
 - [ ] NetworkOptions.webidl
 - [ ] NodeFilter.webidl
 - [ ] NodeIterator.webidl
 - [ ] NodeList.webidl
 - [ ] Node.webidl
 - [ ] NotificationEvent.webidl
 - [ ] Notification.webidl
 - [ ] NotifyPaintEvent.webidl
 - [ ] OfflineAudioCompletionEvent.webidl
 - [ ] OfflineAudioContext.webidl
 - [ ] OfflineResourceList.webidl
 - [ ] OffscreenCanvas.webidl
 - [ ] OscillatorNode.webidl
 - [ ] PageTransitionEvent.webidl
 - [ ] PaintRequestList.webidl
 - [ ] PaintRequest.webidl
 - [ ] PaintWorkletGlobalScope.webidl
 - [ ] PannerNode.webidl
 - [ ] ParentNode.webidl
 - [ ] ParentSHistory.webidl
 - [ ] PaymentAddress.webidl
 - [ ] PaymentMethodChangeEvent.webidl
 - [ ] PaymentRequestUpdateEvent.webidl
 - [ ] PaymentResponse.webidl
 - [ ] PeerConnectionImpl.webidl
 - [ ] PeerConnectionObserverEnums.webidl
 - [ ] PeerConnectionObserver.webidl
 - [ ] PerformanceEntryEvent.webidl
 - [ ] PerformanceEntry.webidl
 - [ ] PerformanceMark.webidl
 - [ ] PerformanceMeasure.webidl
 - [ ] PerformanceNavigationTiming.webidl
 - [ ] PerformanceNavigation.webidl
 - [ ] PerformanceObserverEntryList.webidl
 - [ ] PerformanceObserver.webidl
 - [ ] PerformanceResourceTiming.webidl
 - [ ] PerformanceServerTiming.webidl
 - [ ] PerformanceTiming.webidl
 - [ ] Performance.webidl
 - [ ] PeriodicWave.webidl
 - [ ] PermissionStatus.webidl
 - [ ] Permissions.webidl
 - [ ] PluginArray.webidl
 - [ ] PluginCrashedEvent.webidl
 - [ ] Plugin.webidl
 - [ ] PointerEvent.webidl
 - [ ] PopStateEvent.webidl
 - [ ] PopupBlockedEvent.webidl
 - [ ] PositionError.webidl
 - [ ] Position.webidl
 - [ ] PresentationAvailability.webidl
 - [ ] PresentationConnectionAvailableEvent.webidl
 - [ ] PresentationConnectionCloseEvent.webidl
 - [ ] PresentationConnectionList.webidl
 - [ ] PresentationReceiver.webidl
 - [ ] PresentationRequest.webidl
 - [ ] Presentation.webidl
 - [ ] ProcessingInstruction.webidl
 - [ ] ProfileTimelineMarker.webidl
 - [ ] ProgressEvent.webidl
 - [ ] PromiseRejectionEvent.webidl
 - [ ] Promise.webidl
 - [ ] PushEvent.webidl
 - [ ] PushManager.webidl
 - [ ] PushMessageData.webidl
 - [ ] PushSubscriptionOptions.webidl
 - [ ] PushSubscription.webidl
 - [ ] RadioNodeList.webidl
 - [ ] Range.webidl
 - [ ] Request.webidl
 - [ ] Response.webidl
 - [ ] RTCCertificate.webidl
 - [ ] RTCConfiguration.webidl
 - [ ] RTCDataChannelEvent.webidl
 - [ ] RTCDTMFSender.webidl
 - [ ] RTCDTMFToneChangeEvent.webidl
 - [ ] RTCIdentityAssertion.webidl
 - [ ] RTCIdentityProvider.webidl
 - [ ] RTCPeerConnectionIceEvent.webidl
 - [ ] RTCPeerConnectionStatic.webidl
 - [ ] RTCRtpReceiver.webidl
 - [ ] RTCRtpSender.webidl
 - [ ] RTCRtpSources.webidl
 - [ ] RTCSessionDescription.webidl
 - [ ] RTCStatsReport.webidl
 - [ ] RTCTrackEvent.webidl
 - [ ] ScreenOrientation.webidl
 - [ ] Screen.webidl
 - [ ] ScriptProcessorNode.webidl
 - [ ] ScrollAreaEvent.webidl
 - [ ] ScrollBoxObject.webidl
 - [ ] ScrollViewChangeEvent.webidl
 - [ ] SecurityPolicyViolationEvent.webidl
 - [ ] ServiceWorkerContainer.webidl
 - [ ] ServiceWorkerGlobalScope.webidl
 - [ ] ServiceWorkerRegistration.webidl
 - [ ] ServiceWorker.webidl
 - [ ] ShadowRoot.webidl
 - [ ] SharedWorkerGlobalScope.webidl
 - [ ] SharedWorker.webidl
 - [ ] SimpleGestureEvent.webidl
 - [ ] SocketCommon.webidl
 - [ ] SourceBufferList.webidl
 - [ ] SourceBuffer.webidl
 - [ ] SpeechGrammarList.webidl
 - [ ] SpeechGrammar.webidl
 - [ ] SpeechRecognitionAlternative.webidl
 - [ ] SpeechRecognitionError.webidl
 - [ ] SpeechRecognitionEvent.webidl
 - [ ] SpeechRecognitionResultList.webidl
 - [ ] SpeechRecognitionResult.webidl
 - [ ] SpeechRecognition.webidl
 - [ ] SpeechSynthesisErrorEvent.webidl
 - [ ] SpeechSynthesisVoice.webidl
 - [ ] SpeechSynthesis.webidl
 - [ ] StereoPannerNode.webidl
 - [ ] StorageEvent.webidl
 - [ ] StorageManager.webidl
 - [ ] StorageType.webidl
 - [ ] Storage.webidl
 - [ ] StreamFilterDataEvent.webidl
 - [ ] StreamFilter.webidl
 - [ ] StyleRuleChangeEvent.webidl
 - [ ] StyleSheetApplicableStateChangeEvent.webidl
 - [ ] StyleSheetChangeEvent.webidl
 - [ ] StyleSheetList.webidl
 - [ ] StyleSheet.webidl
 - [ ] SubtleCrypto.webidl
 - [ ] SVGAElement.webidl
 - [ ] SVGAngle.webidl
 - [ ] SVGAnimatedAngle.webidl
 - [ ] SVGAnimatedBoolean.webidl
 - [ ] SVGAnimatedEnumeration.webidl
 - [ ] SVGAnimatedInteger.webidl
 - [ ] SVGAnimatedLengthList.webidl
 - [ ] SVGAnimatedLength.webidl
 - [ ] SVGAnimatedNumberList.webidl
 - [ ] SVGAnimatedNumber.webidl
 - [ ] SVGAnimatedPathData.webidl
 - [ ] SVGAnimatedPoints.webidl
 - [ ] SVGAnimatedPreserveAspectRatio.webidl
 - [ ] SVGAnimatedRect.webidl
 - [ ] SVGAnimatedString.webidl
 - [ ] SVGAnimatedTransformList.webidl
 - [ ] SVGAnimateElement.webidl
 - [ ] SVGAnimateMotionElement.webidl
 - [ ] SVGAnimateTransformElement.webidl
 - [ ] SVGAnimationElement.webidl
 - [ ] SVGCircleElement.webidl
 - [ ] SVGClipPathElement.webidl
 - [ ] SVGComponentTransferFunctionElement.webidl
 - [ ] SVGDefsElement.webidl
 - [ ] SVGDescElement.webidl
 - [ ] SVGElement.webidl
 - [ ] SVGEllipseElement.webidl
 - [ ] SVGFEBlendElement.webidl
 - [ ] SVGFEColorMatrixElement.webidl
 - [ ] SVGFEComponentTransferElement.webidl
 - [ ] SVGFECompositeElement.webidl
 - [ ] SVGFEConvolveMatrixElement.webidl
 - [ ] SVGFEDiffuseLightingElement.webidl
 - [ ] SVGFEDisplacementMapElement.webidl
 - [ ] SVGFEDistantLightElement.webidl
 - [ ] SVGFEDropShadowElement.webidl
 - [ ] SVGFEFloodElement.webidl
 - [ ] SVGFEFuncAElement.webidl
 - [ ] SVGFEFuncBElement.webidl
 - [ ] SVGFEFuncGElement.webidl
 - [ ] SVGFEFuncRElement.webidl
 - [ ] SVGFEGaussianBlurElement.webidl
 - [ ] SVGFEImageElement.webidl
 - [ ] SVGFEMergeElement.webidl
 - [ ] SVGFEMergeNodeElement.webidl
 - [ ] SVGFEMorphologyElement.webidl
 - [ ] SVGFEOffsetElement.webidl
 - [ ] SVGFEPointLightElement.webidl
 - [ ] SVGFESpecularLightingElement.webidl
 - [ ] SVGFESpotLightElement.webidl
 - [ ] SVGFETileElement.webidl
 - [ ] SVGFETurbulenceElement.webidl
 - [ ] SVGFilterElement.webidl
 - [ ] SVGFilterPrimitiveStandardAttributes.webidl
 - [ ] SVGFitToViewBox.webidl
 - [ ] SVGForeignObjectElement.webidl
 - [ ] SVGGElement.webidl
 - [ ] SVGGeometryElement.webidl
 - [ ] SVGGradientElement.webidl
 - [ ] SVGGraphicsElement.webidl
 - [ ] SVGImageElement.webidl
 - [ ] SVGLengthList.webidl
 - [ ] SVGLength.webidl
 - [ ] SVGLinearGradientElement.webidl
 - [ ] SVGLineElement.webidl
 - [ ] SVGMarkerElement.webidl
 - [ ] SVGMaskElement.webidl
 - [ ] SVGMatrix.webidl
 - [ ] SVGMetadataElement.webidl
 - [ ] SVGMPathElement.webidl
 - [ ] SVGNumberList.webidl
 - [ ] SVGNumber.webidl
 - [ ] SVGPathElement.webidl
 - [ ] SVGPathSegList.webidl
 - [ ] SVGPathSeg.webidl
 - [ ] SVGPatternElement.webidl
 - [ ] SVGPointList.webidl
 - [ ] SVGPoint.webidl
 - [ ] SVGPolygonElement.webidl
 - [ ] SVGPolylineElement.webidl
 - [ ] SVGPreserveAspectRatio.webidl
 - [ ] SVGRadialGradientElement.webidl
 - [ ] SVGRectElement.webidl
 - [ ] SVGRect.webidl
 - [ ] SVGScriptElement.webidl
 - [ ] SVGSetElement.webidl
 - [ ] SVGStopElement.webidl
 - [ ] SVGStringList.webidl
 - [ ] SVGStyleElement.webidl
 - [ ] SVGSVGElement.webidl
 - [ ] SVGSwitchElement.webidl
 - [ ] SVGSymbolElement.webidl
 - [ ] SVGTests.webidl
 - [ ] SVGTextContentElement.webidl
 - [ ] SVGTextElement.webidl
 - [ ] SVGTextPathElement.webidl
 - [ ] SVGTextPositioningElement.webidl
 - [ ] SVGTitleElement.webidl
 - [ ] SVGTransformList.webidl
 - [ ] SVGTransform.webidl
 - [ ] SVGTSpanElement.webidl
 - [ ] SVGUnitTypes.webidl
 - [ ] SVGURIReference.webidl
 - [ ] SVGUseElement.webidl
 - [ ] SVGViewElement.webidl
 - [ ] SVGZoomAndPanValues.webidl
 - [ ] SVGZoomAndPan.webidl
 - [ ] TCPServerSocketEvent.webidl
 - [ ] TCPServerSocket.webidl
 - [ ] TCPSocketErrorEvent.webidl
 - [ ] TCPSocketEvent.webidl
 - [ ] TCPSocket.webidl
 - [ ] TestInterfaceJSDictionaries.webidl
 - [ ] TestInterfaceJSMaplikeSetlikeIterable.webidl
 - [ ] TestInterfaceJS.webidl
 - [ ] TextClause.webidl
 - [ ] TextDecoder.webidl
 - [ ] TextEncoder.webidl
 - [ ] TextTrackCueList.webidl
 - [ ] TextTrackCue.webidl
 - [ ] TextTrackList.webidl
 - [ ] TextTrack.webidl
 - [ ] Text.webidl
 - [ ] TimeEvent.webidl
 - [ ] TimeRanges.webidl
 - [ ] TouchEvent.webidl
 - [ ] TouchList.webidl
 - [ ] Touch.webidl
 - [ ] TrackEvent.webidl
 - [ ] TransceiverImpl.webidl
 - [ ] TransitionEvent.webidl
 - [ ] TreeBoxObject.webidl
 - [ ] TreeColumns.webidl
 - [ ] TreeColumn.webidl
 - [ ] TreeContentView.webidl
 - [ ] TreeView.webidl
 - [ ] TreeWalker.webidl
 - [ ] U2F.webidl
 - [ ] UDPMessageEvent.webidl
 - [ ] UDPSocket.webidl
 - [ ] UIEvent.webidl
 - [ ] URLSearchParams.webidl
 - [ ] UserProximityEvent.webidl
 - [ ] ValidityState.webidl
 - [ ] VideoPlaybackQuality.webidl
 - [ ] VideoStreamTrack.webidl
 - [ ] VideoTrackList.webidl
 - [ ] VideoTrack.webidl
 - [ ] VRDisplay.webidl
 - [ ] VRServiceTest.webidl
 - [ ] VTTCue.webidl
 - [ ] VTTRegion.webidl
 - [ ] WebAuthentication.webidl
 - [ ] WebComponents.webidl
 - [ ] WebGL2RenderingContext.webidl
 - [ ] WebGLContextEvent.webidl
 - [ ] WebGLRenderingContext.webidl
 - [ ] WebGPUExtras.webidl
 - [ ] WebGPU.webidl
 - [ ] WebrtcDeprecated.webidl
 - [ ] WebrtcGlobalInformation.webidl
 - [ ] WheelEvent.webidl
 - [ ] WidevineCDMManifest.webidl
 - [ ] WindowOrWorkerGlobalScope.webidl
 - [ ] WindowRoot.webidl
 - [ ] WorkerDebuggerGlobalScope.webidl
 - [ ] WorkerGlobalScope.webidl
 - [ ] WorkerLocation.webidl
 - [ ] WorkerNavigator.webidl
 - [ ] Worker.webidl
 - [ ] WorkletGlobalScope.webidl
 - [ ] Worklet.webidl
 - [ ] XMLDocument.webidl
 - [ ] XMLHttpRequestEventTarget.webidl
 - [ ] XMLHttpRequestUpload.webidl
 - [ ] XMLSerializer.webidl
 - [ ] XPathEvaluator.webidl
 - [ ] XPathExpression.webidl
 - [ ] XPathNSResolver.webidl
 - [x] XPathResult.webidl
 - [ ] XSLTProcessor.webidl
 - [ ] README.md
 - [ ] WaveShaperNode.webidl
 - [ ] AnimationPlaybackEvent.webidl
 - [ ] AnimationTimeline.webidl
 - [ ] Animation.webidl
 - [ ] DeviceMotionEvent.webidl
 - [ ] DeviceOrientationEvent.webidl
 - [ ] IDBFileHandle.webidl
 - [ ] IDBVersionChangeEvent.webidl
 - [ ] PaymentRequest.webidl
 - [ ] README.md
 - [ ] RTCIceCandidate.webidl
 - [ ] RTCRtpTransceiver.webidl
 - [ ] SpeechSynthesisEvent.webidl
 - [ ] VRDisplayEvent.webidl
 - [ ] AudioNode.webidl
 - [ ] CanvasRenderingContext2D.webidl
 - [ ] DataTransferItemList.webidl
 - [ ] DOMMatrix.webidl
 - [ ] FormData.webidl
 - [ ] IDBKeyRange.webidl
 - [ ] ImageData.webidl
 - [ ] MediaStream.webidl
 - [ ] PeerConnectionImplEnums.webidl
 - [ ] PresentationConnection.webidl
 - [ ] README.md
 - [ ] RTCDataChannel.webidl
 - [ ] RTCPeerConnection.webidl
 - [ ] Selection.webidl
 - [ ] SpeechSynthesisUtterance.webidl
 - [ ] TestFunctions.webidl
 - [ ] URL.webidl
 - [ ] WebKitCSSMatrix.webidl
 - [ ] WebSocket.webidl
 - [ ] Window.webidl
 - [ ] XMLHttpRequest.webidl
